edu.wpi.first.wpilibj.hal

## Class RelayJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.hal.DIOJNI
    - - edu.wpi.first.wpilibj.hal.RelayJNI

-     public class RelayJNI
      extends DIOJNI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelayJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkRelayChannel(int channel)`
    `static void` | `freeRelayPort(int relayPortHandle)`
    `static boolean` | `getRelay(int relayPortHandle)`
    `static int` | `initializeRelayPort(int halPortHandle, boolean forward)`
    `static void` | `setRelay(int relayPortHandle, boolean on)`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.DIOJNI

      `allocateDigitalPWM, checkDIOChannel, freeDigitalPWM, freeDIOPort, getDIO, getDIODirection, getLoopTiming, initializeDIOPort, isAnyPulsing, isPulsing, pulse, setDigitalPWMDutyCycle, setDigitalPWMOutputChannel, setDigitalPWMRate, setDIO`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RelayJNI

          public RelayJNI()

  - ### Method Detail

    - #### initializeRelayPort

          public static int initializeRelayPort(int halPortHandle,
                                                boolean forward)

    - #### freeRelayPort

          public static void freeRelayPort(int relayPortHandle)

    - #### checkRelayChannel

          public static boolean checkRelayChannel(int channel)

    - #### setRelay

          public static void setRelay(int relayPortHandle,
                                      boolean on)

    - #### getRelay

          public static boolean getRelay(int relayPortHandle)